# phpMyFAQ Manual

phpMyFAQ is a comprehensive, multilingual FAQ system that is entirely database-driven.
It is compatible with a variety of databases for data storage and requires PHP 8.2+ for data access.
The system features a multi-language Content Management System equipped with a WYSIWYG editor and an Image Manager.
It also provides real-time search capabilities with Elasticsearch.

phpMyFAQ supports flexible multi-user functionality,
offering user and group-based permissions on categories and records.
It includes a wiki-like revision feature, a news system, and configurable user-tracking.
With support for over 40 languages, it also boasts enhanced automatic content negotiation and HTML5- / CSS3-based
responsive templates.
These templates allow for the inclusion of your own text and HTML snippets.

Additional features include PDF support, a backup system, a dynamic sitemap,
related FAQs, tagging, and built-in spam protection systems.
It also supports OpenLDAP, Microsoft Active Directory, and Microsoft Entra ID.
The system is easy to install, thanks to its user-friendly installation script.

phpMyFAQ is versatile
and can be run on almost any web hosting provider or deployed in the cloud using a Docker container.

This documentation serves as a guide to help you install, update, use, and administer phpMyFAQ effectively.

### Copyright

phpMyFAQ is published under the [Mozilla Public License Version 2.0](http://www.mozilla.org/MPL/2.0/) (MPL).
This license guarantees you the free usage of phpMyFAQ, access to the source code and the right to modify and distribute
phpMyFAQ.

The only restrictions apply to the copyright, which remains at all times at Thorsten Rinne and the phpMyFAQ Team. Any
modified versions of phpMyFAQ will also fall under the terms of MPL. Any other program that may only be accessing
certain functions of phpMyFAQ is not affected by these restrictions and may be distributed under any type of license.

A commercial usage or commercial distribution of phpMyFAQ is allowed, as long as the conditions mentioned above are
met.

We decided to use MPL as the licensing model for phpMyFAQ because we feel that it is a good compromise between the
protection of the openness and free distribution on the one hand and the interaction with other software regardless of
its licensing model. When compared to other licensing models, its text is short and easily comprehensible, even for
newcomers.

This documentation is licensed under a [Creative Commons License](http://creativecommons.org/licenses/by/2.0/).

### Support

If you should run into any problems using phpMyFAQ check out our support forums at
[forum.phpmyfaq.de](https://forum.phpmyfaq.de/).
You can also use our BlueSky account [@phpmyfaq.bsky.social](https://bsky.app/profile/phpmyfaq.bsky.social)
to ask us short question.
There is no free support by phone or email, please refrain from calling or mailing us.

The phpMyFAQ team offers the following paid services:

- Customizing
- Support

If you're interested, just take a look at our [support page](https://www.phpmyfaq.de/support).
